# ServiceNow Ruby Gem End-of-Life Announcement

As of June 4, 2019, Rapid7 will start the End of Life (EOL) process for the legacy ServiceNow Ruby Gem integration for InsightVM and Nexpose. The ServiceNow Ruby Gem will no longer be publicly available for download on the [rubygems.org](https://rubygems.org/) page. This EOL announcement does not affect the in-product InsightVM integration, [ServiceNow IT Service Management (ITSM)](https://insightvm.help.rapid7.com/docs/servicenow), or the recently released [ServiceNow app](https://store.servicenow.com/sn_appstore_store.do#!/store/application/8a2aa078e7330300809a268b03f6a988/7.1.0) that leverages the ServiceNow VRM (Vulnerability Response Module) product, a component of ServiceNow Security Operations (SecOps).

This EOL announcement only pertains to future deployments or feature requests related to ServiceNow Ruby Gem.

Customers that currently have the Ruby Gem integration will not see changes in functionality, but Rapid7 encourages migration to one of the solutions listed below:

* ServiceNow ITSM Integration
* Service Now SecOps Integration

## ServiceNow ITSM Integration
Streamline your InsightVM vulnerability remediation workflow with the ServiceNow ITSM integration by tracking remediation progress in real-time.

### ServiceNow ITSM Integration Benefits
The ServiceNow ITSM integration provides the following InsightVM benefits:

* **Rule Intelligence** - Create targeted and precise tickets automatically with assignment rules that you can reuse across Remediation Projects in InsightVM.
* **Contextual Information** - Customize ticketing templates to include as much security detail as needed.
* **Central Tracking** - Manage and track your remediation projects in a central location through the Remediation Projects page.

### ServiceNow ITSM Integration Overview
The ServiceNow ITSM integration provides automated ticketing for Remediation Projects. See our help documentation for instruction to [enable automated ticketing](https://insightvm.help.rapid7.com/docs/ticketing-integration-for-remediation-workflow-projects#section-enabling-automated-ticketing-for-remediation-projects).

You can also integrate ServiceNow ITSM with InsightVM. See our help documentation for [integration instructions](https://insightvm.help.rapid7.com/docs/servicenow).

If you run into any issues or have questions, reach out to [Rapid7 Support](https://www.rapid7.com/for-customers/).

## ServiceNow SecOps Integration
This cloud-to-cloud integration pulls data from InsightVM and helps you automatically identify remediation priorities by determining the impact of vulnerabilities.

### ServiceNow SecOps Integration Benefits
* **Data Import** - Execute scheduled jobs to import vulnerability, vulnerable items, and solution and site data automatically.
* **Lookup Rules** - Search for configuration items (CIs) in the Configuration Management Database (CMDB) with matching information from the Rapid7 Vulnerability iIntegration.
* **Efficient Remediation** - Map vulnerabilities to CIs and business services and display them in a dashboard to facilitate efficient remediation.

### ServiceNow SecOps Integration Overview
To take advantage of the ServiceNow SecOps integration:

1. Go to the ServiceNow store listing.
2. Click the Get button on the top right. After logging into ServiceNow, follow the steps accordingly.

If you run into any issues or have questions, reach out to ServiceNow Support.

Schedule of Events
Date          |  Event
--------------|------------
June 4, 2019  | Rapid7 announces that the ServiceNow Ruby Gem will no longer be available for download on rubygems.org
June 4, 2020  | Rapid7 will no longer support the ServiceNow Ruby Gem.


## Frequently Asked Questions
If you have additional questions not listed here, reach out to your Customer Success Manager or [Rapid7 Support](https://www.rapid7.com/for-customers/).

### If I use the legacy Ruby Gem integration now, how will this impact me?
Any customers currently utilizing this legacy Ruby Gem will not experience an interruption in service for 12 months from the date of this announcement. You can contact your Customer Success Manager for options after the last date of support.

### How do I get ServiceNow?
ServiceNow is a third party product that integrates with InsightVM. New or existing InsightVM customers can purchase an account through ServiceNow.

### Who can I contact if I have more questions that are not addressed in this announcement?
Contact your Customer Success Representative or [contact Rapid7 Support](https://www.rapid7.com/for-customers/). If your questions pertain to setting up the ServiceNow supported integration option, reach out directly to [ServiceNow](https://www.servicenow.com/support/contact-support.html).